<script setup>
import { ref } from 'vue';

const secret = Math.floor(Math.random() * 10) + 1
const vstup = ref('')

function validate(i, s) {
  if (i == s) {
    return `Uhadl jsi tajne cislo ${s}`
  }
  if (i < s) {
    return `Tvuj odhad ${i} je prilis maly`
  }
  if (i > s) {
    return `Tvuj odhad ${i} je prilis velky`
  }
}
</script>

<template>
  <h1>Trezor game</h1>
  <div style="display: none;">{{ secret }}</div>
  <div class="blok">
    <label for="vstup">Hadej cislo od 1 do 10:</label><br>
    <input id="vstup" type="number" v-model.number="vstup" />
  </div>
  <hr>
  <div class="blok">
    <span>Tvuj odhad je: {{ validate(vstup, secret) }}</span>
  </div>
</template>

<style scoped>
.blok {
  padding: 10px;
}
</style>
